=== debian/changelog ===
yrmcds (1.0.3-4) unstable; urgency=medium

  * Fixed unowned files after purge (policy 6.8, 10.8): /var/log/yrmcds.log
    (Closes: #736276)
    - debian/postrm:
      * Append removing rcX.d and systemd symlinks on removal.
        - But ignore the unowned directories should be controlled by systemd.
      * Append logfiles on purge.
    - Delete debian/postrm.
    - Change installing service init files with dh_installinit.
      * Rename init.d to yrmcds.init.
      * Rename upstart to yrmcds.upstart.
      * Rename yrmcds.systemd to yrmcds.service.
  * Change installing logrotate config file with dh_installlogrotate
    - Add debian/yrmcds.logrotate.
    - Delete debian/patches/Fixes-logrotate.patch.
  * Change installing example keepalived.conf with dh_installexamples
    - Add debian/yrmcds.examples
    - Delete install process from debian/rules.
  * Rename installing files in DEBIAN directory.
    - Append prefix "yrmcds." to postinst, postrm.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 24 Jan 2014 14:34:24 +0900

yrmcds (1.0.3-3) unstable; urgency=medium

  * Fixed FTBFS Dependency installability problem in ia64, sparc
    - debian/control: Build-Depends
      * Update g++ >= 4:4.8 [!ia64 !sparc]
      * Append g++-4.8 [ia64 sparc]

 -- Kouhei Maeda <mkouhei@palmtb.net>  Tue, 21 Jan 2014 11:27:16 +0900

yrmcds (1.0.3-2) unstable; urgency=medium

  * debian/control
    - Build-Depends: Update g++ >= 4:4.8.
      Because alignas() is supported g++ 4.8 over.
    - Architecture: Change "any" to "linux-any".
  * Fixed FTBFS: undefined reference to `atomic_*_8' (Closes: #735984)
    - debian/rules: Append "-latomic" to LDFLAGS
      in mips, mipsel, powerpc, powerpcspe, amd64, i386, armel, armhf, s390x.
    - Thanks Roland Stigge <stigge@antcom.de>.
  * Fixed FTBFS: unrecognized option '-std=gnu++11' (Closes: #735629)
    - debian/rules: override CC=gcc-4.7, CXX=g++-4.7 in sparc, ia64.
    - debian/patches: Append Override-CC-CXX.patch.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Mon, 20 Jan 2014 16:26:29 +0900

yrmcds (1.0.3-1) unstable; urgency=medium

  * New upstream release (Closes: #735627)
  * Fixed FTBFS on powerpc: unrecognized option '-std=gnu++11' (Closes: #735629)
    - debian/control: Append g++ (>= 4.7) to Build-Depends.
    - Thanks Aaron M. Ucko <ucko@debian.org>.
  * Fixed FTBFS related dependency of libgoogle-perftools-dev
    - Using only amd64, i386, armel, armhf, powerpc.
    - debian/control:
      * Append above architecures to Build-Depends.
      * Append libgoogle-perftools4 of above architecures to Depends.
    - debian/rules:
      * Append -DUSE_TCMALLOC to CPPFLAGS.
      * Add LIBTCMALLOC.
    - debian/patches: Append Change-dependency-of-libgoogle-perftools-dev.patch
  * debian/copyright: Change The MIT License to The Expat License
  * debian/patches:
    - Remove applied paches as followings merged in upstream.
      * 0001-Change-how-to-get-cacheline-size.patch 
      * 0003-Clear-x86-specific-CPUFLAGS.patch
    - Remove prefix "000?-" from patch name
      * 0002-Disable-yrmcds-s-DEBUGFLAGS.patch
      * 0004-Change-to-append-CXXFLAGS.patch
      * 0005-Change-to-append-LDFLAGS.patch
      * 0006-Change-DEFAULT_CONFIG.patch
      * 0007-Fixes-logrotate.patch

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sat, 18 Jan 2014 10:21:47 +0900

yrmcds (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #732706)

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sat, 11 Jan 2014 11:46:33 +0900
