=== debian/control ===
Source: yrmcds
Section: web
Priority: optional
Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
Build-Depends: debhelper (>= 8.0.0), libgmp-dev, libmpfr-dev, libmpc-dev, libgoogle-perftools-dev [amd64 i386 armel armhf powerpc], quilt, dh-systemd (>= 1.5), g++ (>= 4:4.8) [!ia64 !sparc], g++-4.8 [ia64 sparc]
Standards-Version: 3.9.5
Homepage: http://cybozu.github.io/yrmcds/

Package: yrmcds
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, logrotate, libgoogle-perftools4 [amd64 i386 armel armhf powerpc]
Recommends: keepalived
Description: memcached compatible KVS with master/slave replication
 yrmcds is a memory object caching system with master/slave replication and
 server-side locking. Since its protocol is perfectly compatible with that of
 memcached, yrmcds can be used as a drop-in replacement for memcached.
 .
 A companion client library libyrmcds and a PHP extension are also available.
