## yrmcds 1.0.4

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,8 @@
 CXXFLAGS = -std=gnu++11 $(OPTFLAGS) $(DEBUGFLAGS) $(shell getconf LFS_CFLAGS) $(WARNFLAGS) $(CPUFLAGS)
 LDFLAGS = -L. $(shell getconf LFS_LDFLAGS)
 LIBTCMALLOC = -ltcmalloc_minimal
-LDLIBS = $(shell getconf LFS_LIBS) -lyrmcds $(LIBTCMALLOC) -lpthread
-CLDOC = LD_LIBRARY_PATH=/usr/local/clang/lib cldoc
+LDLIBS = $(shell getconf LFS_LIBS) -lyrmcds $(LIBTCMALLOC) -latomic -lpthread
+CLDOC := LD_LIBRARY_PATH=$(shell llvm-config --libdir) cldoc
 
 HEADERS = $(wildcard src/*.hpp cybozu/*.hpp)
 SOURCES = $(wildcard src/*.cpp cybozu/*.cpp)
@@ -45,7 +45,7 @@
 	cp etc/upstart /etc/init/yrmcds.conf
 	cp etc/logrotate /etc/logrotate.d/yrmcds
 	cp etc/yrmcds.conf $(DEFAULT_CONFIG)
-	cp $(EXE) $(PREFIX)/sbin/yrmcds
+	cp $(EXE) $(PREFIX)/sbin/yrmcdsd
 	install -o nobody -g nogroup -m 644 /dev/null /var/log/yrmcds.log
 
 COPYING.hpp: COPYING
