=== debian/changelog ===
yrmcds (1.0.4-6) unstable; urgency=medium

  * Applied patch that dropping AI_ADDRCONFIG to support IPv6 link-local
    address only
    - This turned out that this glibc behavior is a bug introduced by 
      glibc any/local-ipv6-lookup.diff
      https://bugs.launchpad.net/ubuntu/+source/glibc/+bug/374674
    - debian/patches
      Drop-AI_ADDRCONFIG-to-support-IPv6-link-local-address-only.patch
      Make-tcp_connect-work-in-IPv6-only-env.patch

 -- Kouhei Maeda <mkouhei@palmtb.net>  Tue, 26 Aug 2014 17:59:51 +0900

yrmcds (1.0.4-5) unstable; urgency=medium

  * Applied patch that adding support for IPv6 link local address.
    - debian/patches/Add-support-for-IPv6-link-local-address.patch

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 13 Aug 2014 10:42:06 +0900

yrmcds (1.0.4-4) unstable; urgency=medium

  * Migrated to unstable.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 08 Aug 2014 10:50:49 +0900

yrmcds (1.0.4-3) experimental; urgency=medium

  * Fixed non-standard gcc/g++ used for build (gcc-4.8) (Closes: #751333) 
    - debian/control
      * Removed [!ia64 sparc] from g++ >= 4:4.8, g++ == 4:4.8 [ia64 sparc]
        at Build-Depends.
    - debian/rules
      * Removed export CC, CXX for ia64 and sparc.
      * Removed --with quilt at dh command.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Thu, 07 Aug 2014 10:29:10 +0900

yrmcds (1.0.4-2) unstable; urgency=medium

  * debian/yrmcds.service
    - Append User, Group to Service section.
  * debian/yrmcds.upstart
    - Append setuid, setgid.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Tue, 15 Apr 2014 10:48:16 +0900

yrmcds (1.0.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Build-Depends: Append llvm.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 07 Mar 2014 07:13:48 +0900
