=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
-Build-Depends: debhelper (>= 8.0.0), libgmp-dev, libmpfr-dev, libmpc-dev, libgoogle-perftools-dev [amd64 i386 armel armhf powerpc], quilt, dh-systemd (>= 1.5), g++ (>= 4:4.8) [!ia64 !sparc], g++-4.8 [ia64 sparc]
+Build-Depends: debhelper (>= 8.0.0), libgmp-dev, libmpfr-dev, libmpc-dev, libgoogle-perftools-dev [amd64 i386 armel armhf powerpc], quilt, dh-systemd (>= 1.5), g++ (>= 4:4.8), llvm
 Standards-Version: 3.9.5
 Homepage: http://cybozu.github.io/yrmcds/
