=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,6 @@
 export CPPFLAGS
 export LIBTCMALLOC
 
-ifneq (,$(findstring $(DEB_HOST_ARCH),sparc ia64))
-export CC = gcc-4.8
-export CXX = g++-4.8
-endif
-
 LDFLAGS += -latomic
 LDFLAGS += `dpkg-buildflags --get LDFLAGS`
 export LDFLAGS
@@ -36,7 +31,7 @@
 export CFLAGS
 
 %:
-	dh $@ --with quilt,systemd
+	dh $@ --with systemd
 
 
 override_dh_auto_build-indep:
