## yrmcds 1.1.4

=== Makefile ===
--- 
+++ 
@@ -11,20 +11,19 @@
 
 CC = gcc
 CXX = g++
-CPPFLAGS = -I. -DCACHELINE_SIZE=$(CACHELINE_SIZE)
-CPPFLAGS += -DDEFAULT_CONFIG=$(DEFAULT_CONFIG) -DUSE_TCMALLOC
+CPPFLAGS = -I. -DCACHELINE_SIZE=$(CACHELINE_SIZE) $(TCMALLOC_FLAGS)
+CPPFLAGS += -DDEFAULT_CONFIG=$(DEFAULT_CONFIG)
 OPTFLAGS = -O2 #-flto
 DEBUGFLAGS = -gdwarf-3 #-fsanitize=address
 WARNFLAGS = -Wall -Wnon-virtual-dtor -Woverloaded-virtual
 CPUFLAGS = #-march=core2 -mtune=corei7
 CXXFLAGS = -std=gnu++11 $(OPTFLAGS) $(DEBUGFLAGS) $(shell getconf LFS_CFLAGS) $(WARNFLAGS) $(CPUFLAGS)
 LDFLAGS = -L. $(shell getconf LFS_LDFLAGS)
-LIBTCMALLOC = -ltcmalloc_minimal
 LDLIBS = $(shell getconf LFS_LIBS) -lyrmcds $(LIBTCMALLOC) -latomic -lpthread
-CLDOC := LD_LIBRARY_PATH=$(shell llvm-config --libdir) cldoc
+CLDOC := LD_LIBRARY_PATH=$(shell llvm-config --libdir 2>/dev/null) cldoc
 
-HEADERS = $(wildcard src/*.hpp cybozu/*.hpp)
-SOURCES = $(wildcard src/*.cpp cybozu/*.cpp)
+HEADERS = $(wildcard src/*.hpp src/*/*.hpp cybozu/*.hpp)
+SOURCES = $(wildcard src/*.cpp src/*/*.cpp cybozu/*.cpp)
 OBJECTS = $(patsubst %.cpp,%.o,$(SOURCES))
 
 EXE = yrmcdsd
@@ -32,6 +31,18 @@
 LIB = libyrmcds.a
 LIB_OBJECTS = $(filter-out src/main.o,$(OBJECTS))
 PACKAGES = build-essential libgoogle-perftools-dev python-pip
+
+ifndef HEADER
+  ifeq ($(shell $(MAKE) HEADER=gperftools/tcmalloc.h test_env), ok)
+    TCMALLOC_FLAGS = -DUSE_TCMALLOC
+    LIBTCMALLOC = -ltcmalloc_minimal
+    export TCMALLOC_FLAGS LIBTCMALLOC
+  else ifeq ($(shell $(MAKE) HEADER=google/tcmalloc.h test_env), ok)
+    TCMALLOC_FLAGS = -DUSE_TCMALLOC -DTCMALLOC_IN_GOOGLE
+    LIBTCMALLOC = -ltcmalloc_minimal
+    export TCMALLOC_FLAGS LIBTCMALLOC
+  endif
+endif
 
 all: $(EXE)
 lib: $(LIB)
@@ -57,7 +68,7 @@
 $(OBJECTS): $(HEADERS)
 
 $(LIB): $(LIB_OBJECTS)
-	$(AR) rcus $@ $^
+	$(AR) rcs $@ $^
 
 $(EXE): src/main.o $(LIB)
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@ $< $(LDLIBS)
@@ -79,10 +90,13 @@
 	@cd html; python -m SimpleHTTPServer 8888 || true
 
 clean:
-	rm -f src/*.o cybozu/*.o test/*.o test/*.exe COPYING.hpp $(EXE) $(EXE).map $(LIB)
+	rm -f src/*.o src/*/*.o cybozu/*.o test/*.o test/*.exe COPYING.hpp $(EXE) $(EXE).map $(LIB)
 
 setup:
 	sudo apt-get install -y --install-recommends $(PACKAGES)
 	sudo pip install cldoc --upgrade
 
-.PHONY: all strip lib tests install html serve clean setup $(TESTS)
+test_env:
+	@T=$$(mktemp --suffix=.cpp); echo "#include <$(HEADER)>" >$$T; if $(CXX) $(CPPFLAGS) -E $$T >/dev/null 2>&1; then echo "ok"; else echo "fail"; fi; rm -f $$T
+
+.PHONY: all strip lib tests install html serve clean setup test_env $(TESTS)
