=== debian/changelog ===
yrmcds (1.1.4-2) unstable; urgency=medium

  * debian/patches
    - Re-applied Change-dependency-of-libgoogle-perftools-dev.patch.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Thu, 25 Jun 2015 05:41:21 +0900

yrmcds (1.1.4-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - Updated Override-CC-CXX.patch.
    - Deleted Change-dependency-of-libgoogle-perftools-dev.patch.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 24 Jun 2015 16:38:29 +0900

yrmcds (1.1.3-5) unstable; urgency=medium

  * Uploading to unstable.
  * Changed making directory and chainging permission of /var/tmp/yrmcds
    - debian/yrmcds.service
      * Changed ExecStartPre option.
      * Appends PermissionsStartOnly option.
    - debian/yrmcds.upstart
      * Changed pre-start section.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Mon, 18 May 2015 09:15:03 +0900

yrmcds (1.1.3-4) experimental; urgency=medium

  * Fixed typo ExecStartPre of debian/yrmcds.service

 -- Kouhei Maeda <mkouhei@palmtb.net>  Tue, 31 Mar 2015 05:24:34 +0900

yrmcds (1.1.3-3) experimental; urgency=medium

  * Supported ppc64el of dependencies
    - debian/control
      Build-Depends: libgoogle-perftools-dev
      Depends: libgoogle-perftools4

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 25 Mar 2015 17:35:11 +0900

yrmcds (1.1.3-2) experimental; urgency=medium

  * Reverted Removing workaround related libtcmalloc
    - debian/paches
      * Appended Change-dependency-of-libgoogle-perftools-dev.patch
    - debian/rules
      * Appended workaround related libtcmalloc

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 25 Mar 2015 10:55:21 +0900

yrmcds (1.1.3-1) experimental; urgency=medium

  * New upstream release
  * debian/control
    - Depends: Appended arm64 to libgoogle-perftools4

 -- Kouhei Maeda <mkouhei@palmtb.net>  Mon, 23 Mar 2015 21:42:00 +0900

yrmcds (1.1.2+git~402c94c-2) experimental; urgency=medium

  * Fixed debian version

 -- Kouhei Maeda <mkouhei@palmtb.net>  Mon, 23 Mar 2015 10:28:52 +0900

yrmcds (1.1.2~git402c94c-1) experimental; urgency=medium

  * New upstream release
  * debian/paches
    - Removed patches related IPv6 link local address why the upstream had
      supported
      * Add-support-for-IPv6-link-local-address.patch,
      * Drop-AI_ADDRCONFIG-to-support-IPv6-link-local-address-only.patch
      * Make-tcp_connect-work-in-IPv6-only-env.patch
    - Removed patch related libtcmalloc why the upstream had changed detecting
      it automatically
      * Change-dependency-of-libgoogle-perftools-dev.patch
  * debian/rules
    - Removed workaround related libtcmalloc
  * debian/copyright
    - Fixed space-in-std-shortname-in-dep5-copyright the expat license
  * debian/control
    - Bumped version Standards-Version to 3.9.6
    - Build-Depends: Appends arm64 to libgoogle-perftools-dev

 -- Kouhei Maeda <mkouhei@palmtb.net>  Mon, 23 Mar 2015 10:01:27 +0900
