=== debian/changelog ===
yrmcds (1.1.5-1) unstable; urgency=medium

  * New upstream release

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 18 Nov 2015 08:54:37 +0900
