=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,14 @@
 
 CPPFLAGS=`dpkg-buildflags --get CPPFLAGS`
 # Work Arround: libgoogle-perftools-dev by depends on some architecures
-ifneq (,$(findstring $(DEB_HOST_ARCH),amd64 i386 armel armhf powerpc))
-CPPFLAGS += -DUSE_TCMALLOC
-LIBTCMALLOC = -ltcmalloc_minimal
+ifndef HEADER
+  ifeq ($(shell $(MAKE) HEADER=gperftools/tcmalloc.h test_env), ok)
+	CPPFLAGS += -DUSE_TCMALLOC
+	LIBTCMALLOC = -ltcmalloc_minimal
+  else ifeq ($(shell $(MAKE) HEADER=google/tcmalloc.h test_env), ok)
+	CPPFLAGS += -DUSE_TCMALLOC -DTCMALLOC_IN_GOOGLE
+	LIBTCMALLOC = -ltcmalloc_minimal
+  endif
 endif
 export CPPFLAGS
 export LIBTCMALLOC
@@ -22,7 +27,6 @@
 LDFLAGS += -latomic
 LDFLAGS += `dpkg-buildflags --get LDFLAGS`
 export LDFLAGS
-
 
 CFLAGS += $(CPPFLAGS)
 ifneq (,$(filter x-fpic,$(DEB_BUILD_OPTIONS)))
@@ -32,7 +36,6 @@
 
 %:
 	dh $@ --with systemd
-
 
 override_dh_auto_build-indep:
 	$(MAKE)
@@ -47,4 +50,3 @@
 	sed -i 's/^group = nogroup/group = yrmcds/g' $(CURDIR)/debian/yrmcds/etc/yrmcds.conf
 	install -d $(CURDIR)/debian/yrmcds/usr/sbin
 	install $(CURDIR)/yrmcdsd $(CURDIR)/debian/yrmcds/usr/sbin/yrmcdsd
-
