## yrmcds 1.1.6

=== debian/changelog ===
yrmcds (1.1.6-1) unstable; urgency=medium

  * New upstream release
  * debian/yrmcdsd.8
    - Updates command line options.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 01 Jul 2016 23:49:30 +0900

yrmcds (1.1.5-3) unstable; urgency=medium

  * debian/rules
    - Fixes TCMALLOC_FLAGS related macros.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 01 Jul 2016 23:23:52 +0900

yrmcds (1.1.5-2) unstable; urgency=medium

  * debian/control
    - Standard-Version: Bump version to 3.9.8. 
  * debian/yrmcds.service
    - Appends Documentation key to Unit section.
  * Renames debian/yrmcdsd.1 to debian/yrmcdsd.8.
  * debian/manpages
    - Changes debian/yrmcdsd.1 to debian/yrmcdsd.8.
  * Closes: #810698
    - debian/yrmcds.postrm
      * remove /etc/init/yrmcds.override after purge.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 01 Jul 2016 15:27:49 +0900
