=== debian/changelog ===
yrmcds (1.1.8-1.1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:04:25 +0100

yrmcds (1.1.8-1.1) unstable; urgency=medium

  * Non-maintainer upload. (acked by maintainer)
  * Fix build with gcc 7. (Closes: #853715)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 27 Feb 2018 17:20:24 +0900

yrmcds (1.1.8-1) unstable; urgency=medium

  * New upstream release

 -- Kouhei Maeda <mkouhei@palmtb.net>  Tue, 04 Oct 2016 08:29:32 +0900
