=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-systemd (>= 1.5),
                g++ (>= 4:4.8),
                llvm
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://cybozu.github.io/yrmcds/
 
 Package: yrmcds
