=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,9 @@
 
 CPPFLAGS=`dpkg-buildflags --get CPPFLAGS`
 # Work Arround: libgoogle-perftools-dev by depends on some architecures
-ifndef HEADER
-  ifeq ($(shell $(MAKE) HEADER=gperftools/tcmalloc.h test_env), ok)
-	CPPFLAGS += -DUSE_TCMALLOC
-	LIBTCMALLOC = -ltcmalloc_minimal
-  else ifeq ($(shell $(MAKE) HEADER=google/tcmalloc.h test_env), ok)
-	CPPFLAGS += -DUSE_TCMALLOC -DTCMALLOC_IN_GOOGLE
-	LIBTCMALLOC = -ltcmalloc_minimal
-  endif
+ifneq (,$(findstring $(DEB_HOST_ARCH),i386 amd64 powerpc ppc64el arm64 armel armhf))
+CPPFLAGS += -DUSE_TCMALLOC
+LIBTCMALLOC = -ltcmalloc_minimal
 endif
 export CPPFLAGS
 export LIBTCMALLOC
@@ -50,3 +45,6 @@
 	sed -i 's/^group = nogroup/group = yrmcds/g' $(CURDIR)/debian/yrmcds/etc/yrmcds.conf
 	install -d $(CURDIR)/debian/yrmcds/usr/sbin
 	install $(CURDIR)/yrmcdsd $(CURDIR)/debian/yrmcds/usr/sbin/yrmcdsd
+
+override_dh_systemd_enable:
+	dh_systemd_enable --name=yrmcds
