=== debian/changelog ===
yrmcds (1.1.9-1) unstable; urgency=medium

  * New upstream release.
  * Removes debian/patches/fix_build_with_gcc7.patch.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sat, 22 Aug 2020 09:51:28 +0900

yrmcds (1.1.8-2) unstable; urgency=medium

  * debian/yrmcds.postinst
    - Fix adduser-with-home-var-run postinst.
  * debian/control
    - Bump version Standards-Version to 4.5.0
    - Build-Depends:
      * Bump version debhelper >= 9.20160709~.
      * Remove dh-systemd. (Closes: #958599)
      * Appends debhelper-compat (= 10).
  * debian/rules
    - Fixes debian-rules-uses-unnecessary-dh-argument dh ... --with=systemd.
  * Fixes spelling-error-in-patch-description.
    - debian/patches/Override-CC-CXX.patch
    - debian/patches/hange-dependency-of-libgoogle-perftools-dev.patch
  * Removes files.
    - debian/compat
    - debian/yrmcds.upstart
    - Fixes patch-file-present-but-not-mentioned-in-series
      * debian/patches/Drop-AI_ADDRCONFIG-to-support-IPv6-link-local-address-only.patch
      * debian/patches/Fixes-logrotate.patch
      * debian/patches/Make-tcp_connect-work-in-IPv6-only-env.patch
      * debian/patches/test-detect.patch
      * debian/patches/Change-to-append-CPPFLAGS.patch
      * debian/patches/Add-support-for-IPv6-link-local-address.patch

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 21 Aug 2020 23:54:27 +0900
