=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: web
 Priority: optional
 Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>=  9.20160709~),
+               debhelper-compat (= 10),
                libgmp-dev,
                libmpfr-dev,
                libmpc-dev,
                libgoogle-perftools-dev [amd64 i386 armel armhf arm64 powerpc ppc64el],
                quilt,
-               dh-systemd (>= 1.5),
                g++ (>= 4:4.8),
                llvm
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Homepage: http://cybozu.github.io/yrmcds/
 
 Package: yrmcds
