=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 export CFLAGS
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_build-indep:
 	$(MAKE)
